curl "https://app.talkover.ai/api/v1/calendars/sync-status" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"calendar_id": "calendar-uuid-1",
"provider": "calendar_provider_a",
"last_sync_at": "2024-01-15T17:30:00Z",
"is_syncing": false,
"events_synced": 142
}
]
}
Calendars
Get Calendars Sync Status
Get current sync status for connected calendars
GET
/
api
/
v1
/
calendars
/
sync-status
curl "https://app.talkover.ai/api/v1/calendars/sync-status" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"calendar_id": "calendar-uuid-1",
"provider": "calendar_provider_a",
"last_sync_at": "2024-01-15T17:30:00Z",
"is_syncing": false,
"events_synced": 142
}
]
}
Get Calendars Sync Status
Get the current sync status for all calendars in the environment that have provider connections.Endpoint
GET /api/v1/calendars/sync-status
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl "https://app.talkover.ai/api/v1/calendars/sync-status" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": [
{
"calendar_id": "calendar-uuid-1",
"provider": "calendar_provider_a",
"last_sync_at": "2024-01-15T17:30:00Z",
"is_syncing": false,
"events_synced": 142
}
]
}
Was this page helpful?